package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author: cy
 * @date: 2022/3/30 11:32
 */
@ApiModel(value = "VideoLessonGroupSearch", description = "视频课组列表查询")
public class VideoLessonGroupSearch extends QueryInfo {
    @ApiModelProperty(value = "是否上架 （0:否  1：是）")
    private Integer shelvesFlag;

    @ApiModelProperty(value = "审核状态(DOING:审核中 PASS:已上架 UNPASS:审核失败 OUT_SALE: 下架)")
    private String auditStatus;

    @ApiModelProperty(value = "视频课组id")
    private Long groupId;

    @ApiModelProperty(value = "筛选条件")
    private String search;

    @ApiModelProperty(value = "学生id")
    private Long studentId;

    @ApiModelProperty(value = "老师id")
    private Long teacherId;

    @ApiModelProperty(value = "声部id")
    private Long lessonSubject;

    @ApiModelProperty(value = "是否审核时可见 （0:否  1：是）",hidden = true)
    private YesOrNoEnum auditVersion;

    @ApiModelProperty(value = "版本号",required = true)
    private String version;

    @ApiModelProperty(value = "平台",required = true)
    private String platform;


    @ApiModelProperty(value = "查看我自己的视频课",required = true)
    private Boolean myself = true;

    public Boolean getMyself() {
        return myself;
    }

    public void setMyself(Boolean myself) {
        this.myself = myself;
    }

    @ApiModelProperty("当前课程组id（查看其他课程时，筛选掉）")
    private Long videoLessonGroupId;

    public Integer getShelvesFlag() {
        return shelvesFlag;
    }

    public void setShelvesFlag(Integer shelvesFlag) {
        this.shelvesFlag = shelvesFlag;
    }

    public Long getVideoLessonGroupId() {
        return videoLessonGroupId;
    }

    public void setVideoLessonGroupId(Long videoLessonGroupId) {
        this.videoLessonGroupId = videoLessonGroupId;
    }

    public Long getLessonSubject() {
        return lessonSubject;
    }

    public void setLessonSubject(Long lessonSubject) {
        this.lessonSubject = lessonSubject;
    }

    public YesOrNoEnum getAuditVersion() {
        return auditVersion;
    }

    public void setAuditVersion(YesOrNoEnum auditVersion) {
        this.auditVersion = auditVersion;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }
}
